RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
fold.h File Reference

MFE calculations for single RNA sequences. More...

Include dependency graph for fold.h:

Go to the source code of this file.

## Functions
float | vrna_fold (const char *sequence, char *structure)
| Compute Minimum Free Energy (MFE), and a corresponding secondary structure for an RNA sequence. More...
float | vrna_circfold (const char *sequence, char *structure)
| Compute Minimum Free Energy (MFE), and a corresponding secondary structure for a circular RNA sequence. More...
float | fold_par (const char *sequence, char *structure, vrna_param_t *parameters, int is_constrained, int is_circular)
| Compute minimum free energy and an appropriate secondary structure of an RNA sequence. More...
float | fold (const char *sequence, char *structure)
| Compute minimum free energy and an appropriate secondary structure of an RNA sequence. More...
float | circfold (const char *sequence, char *structure)
| Compute minimum free energy and an appropriate secondary structure of a circular RNA sequence. More...
void | free_arrays (void)
| Free arrays for mfe folding. More...
void | update_fold_params (void)
| Recalculate energy parameters. More...
void | update_fold_params_par (vrna_param_t *parameters)
| Recalculate energy parameters. More...
void | export_fold_arrays (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **indx_p, char **ptype_p)
void | export_fold_arrays_par (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **indx_p, char **ptype_p, vrna_param_t **P_p)
void | export_circfold_arrays (int *Fc_p, int *FcH_p, int *FcI_p, int *FcM_p, int **fM2_p, int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **indx_p, char **ptype_p)
void | export_circfold_arrays_par (int *Fc_p, int *FcH_p, int *FcI_p, int *FcM_p, int **fM2_p, int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **indx_p, char **ptype_p, vrna_param_t **P_p)
int | LoopEnergy (int n1, int n2, int type, int type_2, int si1, int sj1, int sp1, int sq1)
int | HairpinE (int size, int type, int si1, int sj1, const char *string)
void | initialize_fold (int length)

## Detailed Description

MFE calculations for single RNA sequences.